include:
  - local: "/blocks/all.yml"
  - local: "/templates/default.yml"
  - local: "/templates/validate.yml"
  - local: "/templates/release.yml"


stages:
  - validate
  - release

validate:mr:
  extends:
    - .validate_yml
  rules: !reference [.rules, run_on_mr]

validate:branch:
  extends:
    - .validate_yml
  rules: !reference [.rules, run_on_branch]

validate:master:
  extends:
    - .validate_yml
  rules: !reference [.rules, run_on_master]

validate:train:
  extends:
    - .validate_yml
  rules: !reference [.rules, run_on_merge_train]


release:master:
  extends:
    - .release
  stage: release
  rules: !reference [.rules, run_on_master]
